## gtk2-engines-qtcurve 0.59.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "55")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_MINOR "59")
+set(CPACK_PACKAGE_VERSION_PATCH "4")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -39,17 +39,17 @@
     file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)
 
     find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config
-                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH )
+                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin /usr/lib/kde4/bin NO_DEFAULT_PATH )
 
     if(NOT KDE4CONFIG_EXECUTABLE)
         find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config )
     endif(NOT KDE4CONFIG_EXECUTABLE)
 
     if(KDE4CONFIG_EXECUTABLE)
-        exec_program(${KDE4_CONFIG_EXECUTABLE}
+        exec_program(${KDE4CONFIG_EXECUTABLE}
                     ARGS --expandvars --install icon
                     OUTPUT_VARIABLE KDE4_ICONS_PREFIX)
-        exec_program(${KDE4_CONFIG_EXECUTABLE}
+        exec_program(${KDE4CONFIG_EXECUTABLE}
                      ARGS --prefix
                      OUTPUT_VARIABLE KDE4PREFIX)
     endif(KDE4CONFIG_EXECUTABLE)
@@ -102,7 +102,7 @@
         message("\n\n**************************************************************\n"
                 "Warning: You have enabled the KDE event filter, this has been\n"
                 "         reported to interfere with firefox and crash some\n"
-                "         applications\n"
+                "         applications. USE AT YOUR OWN RISK!\n"
                 "**************************************************************\n\n\n")
     endif(QTC_ADD_EVENT_FILTER)
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
@@ -113,6 +113,15 @@
                 "         experiment!\n"
                 "**************************************************************\n\n\n")
     endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
+    if(QTC_NEW_MOZILLA)
+        message("\n\n**************************************************************\n"
+                "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
+                "**************************************************************\n\n\n")
+    else(QTC_NEW_MOZILLA)
+        message("\n\n**************************************************************\n"
+                "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
+                "**************************************************************\n\n\n")
+    endif(QTC_NEW_MOZILLA)
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)
