## gtk2-engines-qtcurve 0.59.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "59")
-set(CPACK_PACKAGE_VERSION_PATCH "4")
+set(CPACK_PACKAGE_VERSION_PATCH "5")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -98,13 +98,6 @@
     configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
     add_subdirectory(style)
     add_subdirectory(mozilla)
-    if(QTC_ADD_EVENT_FILTER)
-        message("\n\n**************************************************************\n"
-                "Warning: You have enabled the KDE event filter, this has been\n"
-                "         reported to interfere with firefox and crash some\n"
-                "         applications. USE AT YOUR OWN RISK!\n"
-                "**************************************************************\n\n\n")
-    endif(QTC_ADD_EVENT_FILTER)
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
         message("\n\n**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to try to manually\n"
