## gtk2-engines-qtcurve 0.69.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "62")
-set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_VERSION_MINOR "69")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -126,6 +126,35 @@
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     endif(QTC_DEFAULT_TO_KDE3)
+    if(QTC_MODIFY_MOZILLA)
+        message("\n**************************************************************\n"
+                "**************************************************************\n"
+                "Warning: You have enabled the option for QtCurve to modify the\n"
+                "         configuration files of Mozilla applications (Firefox, \n"
+                "         Thunderbird, Seamonkey). Note: This sometimes causes\n"
+                "         issues with newer versions of these applications. Should\n"
+                "         such issues occur, you should recompile QtCurve without\n"
+                "         this option - and you will have to remove BY HAND the \n"
+                "         changes that QtCurve has made. This will entail removing\n"
+                "         lines from userChrom.css that indicate 'Added by QtCurve'\n"
+                "         userChrome.css is usually in a folder such as:\n"
+                "             ~/.mozilla/firefox/xxxxxxx.default/chrome/userChrome.css\n"
+                "             ~/.thunderbird/xxxxxxx.default/chrome/userChrome.css\n"
+                "         Where xxxxxxx is a series of random characters.\n"
+                "**************************************************************\n"
+                "**************************************************************\n")
+    endif(QTC_MODIFY_MOZILLA)
+
+    if(QTC_USE_CAIRO_FOR_ARROWS)
+        message("\n**************************************************************\n"
+                "Warning: Using ciaro to draw arrows - this has been reported to \n"
+                "         fail with intel Xorg driver > 2.8\n"
+                "**************************************************************\n")
+    else(QTC_USE_CAIRO_FOR_ARROWS)
+        message("\n**************************************************************\n"
+                "Information: Using Gdk to draw arrows.\n"
+                "**************************************************************\n")
+    endif(QTC_USE_CAIRO_FOR_ARROWS)
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)
