=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_configure:
	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=true

get-orig-source:
	uscan --verbose --force-download --no-symlink
	mv ../QtCurve-Gtk2-$(UPSTREAM_VERSION).tar.bz2 ../gtk2-engines-qtcurve_$(UPSTREAM_VERSION).orig.tar.bz2

.PHONY: override_dh_auto_test
