=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=3 http://home.freeuk.com/cpdrummond/QtCurve-Gtk2-([0-9.]*).tar.bz2
