=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
+set(CMAKE_C_FLAGS "${GTK_CFLAGS}")
 set(qtcurve_SRCS qtcurve.c)
 add_library(qtcurve MODULE ${qtcurve_SRCS})
 add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")
