=== debian/changelog ===
gtk2-engines-qtcurve (1.5.2-1ubuntu3) maverick; urgency=low

  * Add kubuntu_01_default_font.diff to switch the default font to the
    Ubuntu font.
  * Add a dependency on the Ubuntu font, or else it'll have a weird fallback

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 19:37:46 -0400

gtk2-engines-qtcurve (1.5.2-1ubuntu2) maverick; urgency=low

  * Don't enable Firefox config modification, since it is against packaging
    policy

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 17:46:18 -0400

gtk2-engines-qtcurve (1.5.2-1ubuntu1) maverick; urgency=low

  * debian/patches/zero-delta-fix.patch:
    Deal with case in common/common.h where rgbToHsv is called with
    r,g,b all equal, giving max equal to min and so a zero delta (LP: #528872)

 -- Niall Creech <niallcreech@googlemail.com>  Sun, 15 Aug 2010 00:56:04 +0200

gtk2-engines-qtcurve (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 09:48:13 +0300

gtk2-engines-qtcurve (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Jul 2010 09:14:53 +0300

gtk2-engines-qtcurve (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 10:09:44 +0300

gtk2-engines-qtcurve (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 12:09:50 +0300

gtk2-engines-qtcurve (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 11:30:31 +0300

gtk2-engines-qtcurve (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Apr 2010 11:08:20 +0300

gtk2-engines-qtcurve (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 23 Mar 2010 12:01:10 +0100

gtk2-engines-qtcurve (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: Suggests kde-style-qtcurve instead of Recommends.
  * Update debian/watch: update upstream tarball url.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Feb 2010 16:50:21 +0100
