=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake, libgtk2.0-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log
 
 Package: gtk2-engines-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-ubuntu-font-family
 Suggests: kde-style-qtcurve
 Description: This is a set of widget styles for Gtk2 based apps
  This package together with kde-style-qtcurve aim to provide a unified look
