=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
+UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
 %:
-	dh --parallel $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=true
+	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=false
 
 get-orig-source:
 	uscan --verbose --force-download --no-symlink
