## gtk2-engines-qtcurve 1.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(QtCurve-Gtk2)
-cmake_minimum_required(VERSION 2.4.0)
+cmake_minimum_required(VERSION 2.4.4)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -7,9 +7,9 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -17,7 +17,9 @@
 include(CPack)
 
 include(UsePkgConfig)
-pkgconfig(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
+
+set(GTK_MAJOR_VERSION "2")
+pkgconfig(gtk+-${GTK_MAJOR_VERSION}.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
 
 if (GTK_INCLUDE_DIR)
     # Try to determine KDE3's icon prefix...
@@ -55,13 +57,17 @@
     endif(KDE4CONFIG_EXECUTABLE)
 
     exec_program(${PKGCONFIG_EXECUTABLE}
-                 ARGS --variable=gtk_binary_version gtk+-2.0
+                 ARGS --variable=gtk_binary_version gtk+-${GTK_MAJOR_VERSION}.0
                  OUTPUT_VARIABLE GTK_VERSION)
-    exec_program(${PKGCONFIG_EXECUTABLE}
-                 ARGS --variable=prefix gtk+-2.0
-                 OUTPUT_VARIABLE GTK_PREFIX)
+    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        exec_program(${PKGCONFIG_EXECUTABLE}
+                     ARGS --variable=prefix gtk+-${GTK_MAJOR_VERSION}.0
+                     OUTPUT_VARIABLE GTK_PREFIX)
+        set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})
+    else(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        set(GTK_PREFIX ${CMAKE_INSTALL_PREFIX})
+    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(GTK_THEME_DIR ${GTK_PREFIX}/share/themes/QtCurve)
-    set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})
 
     if(NOT KDE3PREFIX)
         if(KDE4PREFIX)
@@ -98,8 +104,10 @@
     configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
     add_subdirectory(style)
     add_subdirectory(mozilla)
+    message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")
+
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to try to manually\n"
                 "         re-order the buttons of Gtk dialogs. Note: This will cause\n"
                 "         errors to be printed to the console, and is only an\n"
@@ -107,27 +115,27 @@
                 "**************************************************************\n")
     endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
     if(QTC_OLD_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
                 "**************************************************************\n")
     else(QTC_OLD_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
                 "**************************************************************\n")
     endif(QTC_OLD_MOZILLA)
     if(QTC_DEFAULT_TO_KDE3)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to reading KDE3 settings if \n"
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     else(QTC_DEFAULT_TO_KDE3)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to reading KDE4 settings if \n"
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     endif(QTC_DEFAULT_TO_KDE3)
     if(QTC_MODIFY_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to modify the\n"
                 "         configuration files of Mozilla applications (Firefox, \n"
@@ -146,15 +154,25 @@
     endif(QTC_MODIFY_MOZILLA)
 
     if(QTC_USE_CAIRO_FOR_ARROWS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Warning: Using ciaro to draw arrows - this has been reported to \n"
                 "         fail with intel Xorg driver > 2.8\n"
                 "**************************************************************\n")
     else(QTC_USE_CAIRO_FOR_ARROWS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Using Gdk to draw arrows.\n"
                 "**************************************************************\n")
     endif(QTC_USE_CAIRO_FOR_ARROWS)
+
+    if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+        message("**************************************************************\n"
+                "Warning: You have enabled support for the 'fix parentless dialogs'\n"
+                "         option. This is known to BREAK some applications. Please\n"
+                "         DO NOT report errors to application authors when you have\n"
+                "         this enabled. Please reconsider DISABLING this option.\n"
+                "**************************************************************\n")
+    endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)
