=== debian/changelog ===
gtk2-engines-qtcurve (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Jan 2011 18:57:14 +0200

gtk2-engines-qtcurve (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 26 Dec 2010 13:43:31 +0200

gtk2-engines-qtcurve (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 14:40:51 +0200

gtk2-engines-qtcurve (1.6.4-1) unstable; urgency=low

  * New upstream release.

  [ Alexander Reichle-Schmehl ]
  * Disable QTC_MODIFY_MOZILLA to not interfere with foreign configuration
    files. (Closes: #590521)

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 14:51:31 +0300
