=== debian/changelog ===
gtk2-engines-qtcurve (1.8.8-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 13:22:49 +0300

gtk2-engines-qtcurve (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Build depends against libcairo2-dev >= 1.10 (Closes: #607040)

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 12:13:05 +0200
