=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev, libcairo2-dev (>= 1.10)
+Standards-Version: 3.9.2
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log
